%define name smeserver-bandwidthd
%define version 2.0.1.1
%define release 5
Summary: bandwidthd is a helpdesk system
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Distribution: SME Server
License: GNU GPL version 2
Group: SMEserver/addon
Source: smeserver-bandwidthd-%{version}.tar.gz
Patch0: smeserver-bandwidthd-2.0.1.1-authfix.patch
Patch1: smeserver-bandwidthd-2.0.1.1-mysqlinit.patch
Patch2: smeserver-bandwidthd-2.0.1.1-requireSSL.patch
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}-buildroot
BuildRequires: e-smith-devtools
Requires: e-smith-release >= 8.0
Requires: bandwidthd 
AutoReqProv: no

%description
bandwidthd is an application adapted as a contrib for SMEserver 

%changelog
* Mon Dec 30 2013 JP Pialasse <tests@pialasse.com> 2.0.1.1-5.sme
- add require SSL [SME: 8099]

* Sun Dec 29 2013 JP Pialasse <tests@pialasse.com> 2.0.1.1-4.sme
- fix missing mysql.init
- fix http auth error

* Fri Dec 27 2013 JP Pialasse <tests@pialasse.com> 2.0.1.1-2.sme
- few enhancement and bug fixing
- added link in manager

* Thu Dec 26 2013  CONTRIB MAKER <tests@pialasse.com> 2.0.1.1-1.sme
- initial release
- builds from unchanged .tar.gz 

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
     > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)


